BasicTableUI.KeyHandler (Java SE 17 & JDK 17)
Description: declaration: module: java.desktop, package: javax.swing.plaf.basic, class: BasicTableUI, class: KeyHandler
Keywords: javax.swing.plaf.basic.BasicTableUI.KeyHandler class

Module java.desktop
Package javax.swing.plaf.basic

# Class BasicTableUI.KeyHandler

java.lang.Object
javax.swing.plaf.basic.BasicTableUI.KeyHandler

All Implemented Interfaces:
  `KeyListener`, `EventListener`

Enclosing class:
  BasicTableUI

public class BasicTableUI.KeyHandler extends Object implements KeyListener
This class should be treated as a "protected" inner class. Instantiate it only within subclasses of `BasicTableUI`.

As of Java 2 platform v1.3 this class is no longer used. Instead `JTable` overrides `processKeyBinding` to dispatch the event to the current `TableCellEditor`.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `KeyHandler()`
  Constructs a `KeyHandler`.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `keyPressed(KeyEvent e)`
  Invoked when a key has been pressed.
  `void`
  `keyReleased(KeyEvent e)`
  Invoked when a key has been released.
  `void`
  `keyTyped(KeyEvent e)`
  Invoked when a key has been typed.

  ### Methods declared in class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### KeyHandler

    public KeyHandler()
    Constructs a `KeyHandler`.

- ## Method Details

  - ### keyPressed

    public void keyPressed(KeyEvent e)
    Description copied from interface: `KeyListener`
    Invoked when a key has been pressed. See the class description for `KeyEvent` for a definition of a key pressed event.
    Specified by:
      `keyPressed` in interface `KeyListener`
    Parameters:
      `e` - the event to be processed

  - ### keyReleased

    public void keyReleased(KeyEvent e)
    Description copied from interface: `KeyListener`
    Invoked when a key has been released. See the class description for `KeyEvent` for a definition of a key released event.
    Specified by:
      `keyReleased` in interface `KeyListener`
    Parameters:
      `e` - the event to be processed

  - ### keyTyped

    public void keyTyped(KeyEvent e)
    Description copied from interface: `KeyListener`
    Invoked when a key has been typed. See the class description for `KeyEvent` for a definition of a key typed event.
    Specified by:
      `keyTyped` in interface `KeyListener`
    Parameters:
      `e` - the event to be processed